KUBE_CONFIG = ~/Downloads/k8s-1-21-2-do-2-nyc1-1626871069169-kubeconfig.yaml

get-pods:
	kubectl --kubeconfig $(KUBE_CONFIG) get pods

get-pods-wide:
	kubectl --kubeconfig $(KUBE_CONFIG) get pods -o wide

get-deployments:
	kubectl --kubeconfig $(KUBE_CONFIG) get deployments

describe-deployments:
	kubectl --kubeconfig $(KUBE_CONFIG) describe deployments

get-services:
	kubectl --kubeconfig $(KUBE_CONFIG) get services

apply-changes:
	kubectl --kubeconfig $(KUBE_CONFIG) apply -f app-deployment.yaml,app-service.yaml,env-configmap.yaml,secret.yaml

view-last-applied:
	kubectl --kubeconfig $(KUBE_CONFIG) apply -f app-deployment.yaml,app-service.yaml,env-configmap.yaml,secret.yaml view-last-applied

get-secrets:
	kubectl --kubeconfig $(KUBE_CONFIG) get secrets
